
Katello - Bug #6546

Unable to create an activation key with $name after the original activation key with $name is renamed

to $newname

07/09/2014 10:58 AM - Christine Fouant

Status: Closed   

Priority: Normal   

Assignee: Christine Fouant   

Category:    

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1111723 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1111723

Description of problem:

Unable to create an activation key with $name after the original activation key with $name is renamed to $newname

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.19-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.19-1.el6_5.noarch

candlepin-tomcat6-0.9.19-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.18-1.el6sat.noarch

foreman-compute-1.6.0.18-1.el6sat.noarch

foreman-gce-1.6.0.18-1.el6sat.noarch

foreman-libvirt-1.6.0.18-1.el6sat.noarch

foreman-ovirt-1.6.0.18-1.el6sat.noarch

foreman-postgresql-1.6.0.18-1.el6sat.noarch

foreman-proxy-1.6.0.8-1.el6sat.noarch

foreman-selinux-1.6.0-4.el6sat.noarch

foreman-vmware-1.6.0.18-1.el6sat.noarch

katello-1.5.0-26.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.49-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

openldap-devel-2.4.23-32.el6_4.1.x86_64

pulp-katello-0.3-3.el6sat.noarch

pulp-nodes-common-2.4.0-0.21.beta.el6sat.noarch

pulp-nodes-parent-2.4.0-0.21.beta.el6sat.noarch

pulp-puppet-plugins-2.4.0-0.21.beta.el6sat.noarch

pulp-puppet-tools-2.4.0-0.21.beta.el6sat.noarch

pulp-rpm-plugins-2.4.0-0.21.beta.el6sat.noarch

pulp-selinux-2.4.0-0.21.beta.el6sat.noarch

pulp-server-2.4.0-0.21.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

How reproducible:

Always
Steps to Reproduce:

1. Create an activation key 'AK1' (this creates an internal label AK1)

2. Update name 'AK1' to 'AK2'

3. Attempt to create an activation key 'AK1' again

Actual results:

UI does not do anything - neither creates activation key nor throws user error.  But I can see the error in production.log

> /var/log/foreman/production.log <

Processing by Katello::Api::V2::ActivationKeysController#create as JSON

Parameters: {"usage_limit"=>-1, "name"=>"ackdupe", "environment"=>{"id"=>1, "name"=>"Library", "select"=>true, "selected"=>true},

"content_view_id"=>2, "organization_id"=>"1", "api_version"=>"v2", "activation_key"=>{"name"=>"ackdupe", "organization_id"=>"1",

"usage_limit"=>-1, "content_view_id"=>2}}

ActiveRecord::RecordInvalid

label: ["has already been taken"]   

Expected results:

Activation key should be created successfully

Additional info:

History

#1 - 07/09/2014 11:23 AM - Christine Fouant

- Status changed from New to Closed

#2 - 07/10/2014 10:37 AM - Eric Helms

- Category set to 81

- Target version set to 49

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13
